package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.List;

import com.chelvc.cloud.vehicle.api.constant.CategoryType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商家详情
 *
 * @author Woody
 * @date 2023/7/20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MerchantDetailVO implements Serializable {
    /**
     * 商家信息
     */
    private MerchantVO merchant;

    /**
     * 商品列表
     */
    private List<SimpleGoodsVO> goods;

    /**
     * 分类类型列表
     */
    private List<CategoryType> categories;
}
