package com.chelvc.cloud.maintain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;

/**
 * 积分记录信息
 *
 * @Author qizai
 * @Date 2023/9/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ScoreVO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 积分值
     */
    private Integer value;

    /**
     * 积分来源
     */
    private String origin;

    /**
     * 积分备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;
}