package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 简单商品信息
 *
 * @author Woody
 * @date 2023/7/20
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SimpleGoodsVO implements Serializable {
    /**
     * 商品ID
     */
    private Long id;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 商品Logo
     */
    private String logo;

    /**
     * 商品原价
     */
    private Double originalPrice;

    /**
     * 优惠价格
     */
    private Double specialPrice;

    /**
     * 商品评分
     */
    private Double score;

    /**
     * 订单销量
     */
    private Integer sale;
}
