package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 商品详情
 *
 * @author Woody
 * @date 2023/8/6
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsDetailVO implements Serializable {
    /**
     * 商品信息
     */
    private GoodsVO goods;

    /**
     * 优惠券列表
     */
    private List<CouponVO> coupons;

    /**
     * 评价列表
     */
    private List<CommentVO> comments;
}
